import { DestroyRef, EventEmitter, OnDestroy } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { DataSource, DataSourceProvider } from './models';
import * as i0 from "@angular/core";
export declare class DataSourceDirective<T = any, P extends DataSourceProvider<T> = DataSourceProvider<T>> implements OnDestroy {
    /**
     * Emits when the data source object has been changed.
     */
    readonly dataSourceChanged: EventEmitter<void>;
    /**
     * Event emitted when datasource content has been changed.
     */
    readonly dataChanged: EventEmitter<T[]>;
    /**
     * Event emitted when data provider loading state has been changed.
     */
    readonly isLoading: EventEmitter<boolean>;
    /**
     * Data source.
     * @param source
     */
    set dataSource(source: DataSource<T, P> | null);
    get dataSource(): DataSource<T, P> | null;
    /** @hidden */
    dataSourceProvider: P | undefined;
    /**
     * Data stream. Emits when new data retrieved.
     */
    readonly dataChanged$: BehaviorSubject<T[]>;
    /** @hidden */
    protected readonly _destroyRef: DestroyRef;
    /** @hidden */
    private _dataSource;
    /** @hidden */
    private _dsSubscription;
    /** @hidden */
    private readonly _dataSourceTransformer;
    /** @hidden */
    ngOnDestroy(): void;
    /** @Hidden */
    protected _toDataStream(source: DataSource<T> | null): P | undefined;
    /** @hidden */
    private _initializeDataSource;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataSourceDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DataSourceDirective<any, any>, "[fdkDataSource]", never, { "dataSource": { "alias": "dataSource"; "required": false; }; }, { "dataSourceChanged": "dataSourceChanged"; "dataChanged": "dataChanged"; "isLoading": "isLoading"; }, never, never, true, never>;
}
