import { ChangeDetectorRef, DestroyRef } from '@angular/core';
import { CvaDirective } from './cva.directive';
import * as i0 from "@angular/core";
/**
 * Base ControlValueAccessor control class.
 * Used in conjunction with CvaDirective.
 *
 * This class performs generic change detection based on `CvaDirective` outputs.
 */
export declare class CvaControl<T> {
    /**
     * Control value accessor directive instance.
     */
    cvaDirective: CvaDirective<T> | null;
    /**
     * Change detector instance.
     */
    protected _changeDetector: ChangeDetectorRef;
    /** @Hidden */
    protected _destroyRef: DestroyRef;
    /** @hidden */
    listenToChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CvaControl<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CvaControl<any>>;
}
