import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export interface AutoCompleteEvent {
    term: string;
    forceClose: boolean;
}
export declare class AutoCompleteDirective {
    /** Values that will fill missing text in the input. */
    options: any[];
    /**
     * Input text, that is taken from ngModel of formControl,
     * there has to be difference between native input value and model value
     */
    inputText: string;
    /** Whether the auto complete directive should be enabled */
    enable: boolean;
    /** Display function. Accepts an object of the same type as the
     * items passed to dropdownValues as argument, and outputs a string.
     * An arrow function can be used to access the *this* keyword in the calling component.
     * See search input examples for details. */
    displayFn: (value: any) => string;
    /** Event thrown, when the auto ahead text is accepted */
    readonly onComplete: EventEmitter<AutoCompleteEvent>;
    /** @hidden */
    private readonly _completeKeys;
    /** @hidden */
    private readonly _fillKeys;
    /** @hidden */
    private readonly _stopKeys;
    /** @hidden */
    private oldValue;
    /** @hidden */
    private lastKeyUpEvent;
    /** @hidden */
    private _isComposing;
    /** @hidden */
    private readonly _elementRef;
    private readonly _zone;
    /** @hidden */
    constructor();
    /** Matcher function for testing the str for a search term */
    matcher: (str: string, searchTerm: string) => boolean;
    /** @hidden */
    _handleKeyboardEvent(event: KeyboardEvent): void;
    /** @hidden */
    private _typeahead;
    /** @hidden */
    private _isControlKey;
    /** @hidden */
    private _defaultDisplay;
    /** @hidden */
    private _triggerTypeAhead;
    /** @hidden */
    private _sendCompleteEvent;
    /** @hidden */
    private _moveIndicatorToLastCharacter;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoCompleteDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutoCompleteDirective, "[fdkAutoComplete]", never, { "options": { "alias": "options"; "required": false; }; "inputText": { "alias": "inputText"; "required": false; }; "enable": { "alias": "enable"; "required": false; }; "displayFn": { "alias": "displayFn"; "required": false; }; "matcher": { "alias": "matcher"; "required": false; }; }, { "onComplete": "onComplete"; }, never, never, true, never>;
}
