import { BooleanInput } from '@angular/cdk/coercion';
import { AfterViewInit, DestroyRef, ElementRef } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { FdkClickedProvider } from '../clicked';
import { DisabledBehavior } from './disabled-behavior.interface';
import { DisabledViewModifier } from './disabled-view-modifier.interface';
import * as i0 from "@angular/core";
export declare class DisabledBehaviorDirective extends ReplaySubject<boolean> implements AfterViewInit, DisabledBehavior, DisabledViewModifier {
    private _elementRef;
    private _destroyRef;
    private _clicked;
    /** @hidden */
    set fdkDisabled(value: BooleanInput);
    get fdkDisabled(): boolean;
    /**
     * Whether to add `disabledClass` class to the element.
     */
    addDisabledClass: boolean;
    /**
     * Disabled css class to apply to the element.
     */
    disabledClass: string;
    /** @hidden */
    private _disabled;
    /** @hidden */
    private readonly _fdkDisableInput$;
    /** @hidden */
    constructor(_elementRef: ElementRef<HTMLElement>, _destroyRef: DestroyRef, _clicked: FdkClickedProvider);
    /** @hidden */
    setDisabledState: (isDisabled: boolean) => void;
    /** @hidden */
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DisabledBehaviorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DisabledBehaviorDirective, "[fdkDisabled]", never, { "fdkDisabled": { "alias": "fdkDisabled"; "required": false; }; "addDisabledClass": { "alias": "addDisabledClass"; "required": false; }; "disabledClass": { "alias": "disabledClass"; "required": false; }; }, {}, never, never, true, never>;
}
