import { ElementRef, NgZone, OnDestroy } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { DisabledBehavior } from './disabled-behavior.interface';
import { DisabledViewModifier } from './disabled-view-modifier.interface';
import { DisabledObserver } from './disabled.observer';
import * as i0 from "@angular/core";
export declare class FdkDisabledProvider extends ReplaySubject<boolean> implements DisabledBehavior, OnDestroy {
    private ngZone;
    private elementRef;
    private disabledObserver;
    private selfDisabled$?;
    private parentDisabled$?;
    /** @Hidden */
    fdkDisabled: boolean;
    /** @Hidden */
    private readonly _destroyRef;
    /** @hidden */
    private readonly _viewModifiers$;
    /** @hidden */
    private _disabledChange$;
    /** @hidden */
    constructor(ngZone: NgZone, elementRef: ElementRef<HTMLElement>, disabledObserver: DisabledObserver, selfDisabled$?: DisabledBehavior | undefined, parentDisabled$?: DisabledBehavior | undefined);
    /** @hidden */
    addViewModifier(modifier: DisabledViewModifier): void;
    /** @hidden */
    setDisabledState(isDisabled: boolean): void;
    /** @hidden */
    ngOnDestroy(): void;
    /** @hidden */
    private _getDisabledChange$;
    /** @hidden */
    private _getInitialViewModifiers;
    static ɵfac: i0.ɵɵFactoryDeclaration<FdkDisabledProvider, [null, null, null, { optional: true; self: true; }, { optional: true; skipSelf: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FdkDisabledProvider>;
}
