import { FocusableOption } from '@angular/cdk/a11y';
import { ElementRef } from '@angular/core';
import { FocusKeyManagerListDirective } from './focus-key-manager-list.directive';
import * as i0 from "@angular/core";
/** Directive to apply Angular Material FocusKeyManager to lists.
 * To be used with FocusKeyManagerItemDirective
 */
export declare class FocusKeyManagerItemDirective implements FocusableOption {
    private readonly _list;
    private readonly _elRef;
    /** Whether item should be initially focused */
    initialFocus: boolean;
    /** @hidden */
    get _tabindex(): number;
    /** Native element of the item */
    get nativeElement(): any;
    /** @hidden */
    private get _focusKeyManager();
    /** @hidden */
    constructor(_list: FocusKeyManagerListDirective, _elRef: ElementRef);
    /** @hidden */
    _onFocus(): void;
    /** @hidden */
    _onKeydown(event: KeyboardEvent): void;
    /** Focus current item native element */
    focus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FocusKeyManagerItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FocusKeyManagerItemDirective, "[fdkFocusKeyManagerItem]", never, { "initialFocus": { "alias": "initialFocus"; "required": false; }; "_tabindex": { "alias": "_tabindex"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_initialFocus: unknown;
}
