import { FocusableOption, FocusKeyManager } from '@angular/cdk/a11y';
import { AfterContentInit, ChangeDetectorRef, OnChanges, OnDestroy, QueryList, SimpleChanges } from '@angular/core';
import { RtlService } from '../../services/rtl.service';
import * as i0 from "@angular/core";
/** Directive to apply Angular Material FocusKeyManager to lists.
 * To be used with FocusKeyManagerItemDirective
 */
export declare class FocusKeyManagerListDirective<TItem extends FocusableOption = Record<any, any> & FocusableOption> implements OnChanges, AfterContentInit, OnDestroy {
    private readonly _rtlService;
    private readonly _cdr;
    /** Orientation for the FocusKeyManager */
    orientation: 'horizontal' | 'vertical';
    /** Skip predicate for the FocusKeyManager */
    skipPredicate: (item: TItem) => boolean;
    /** @hidden */
    readonly _items: QueryList<TItem>;
    /** @hidden */
    get focusKeyManager(): FocusKeyManager<TItem>;
    /** @hidden */
    private _focusKeyManager;
    /** @hidden */
    private readonly _onDestroy$;
    /** @hidden */
    constructor(_rtlService: RtlService, _cdr: ChangeDetectorRef);
    /** @hidden */
    ngOnChanges(changes: SimpleChanges): void;
    /** @hidden */
    ngAfterContentInit(): void;
    /** @hidden */
    ngOnDestroy(): void;
    /** Focus certain list's item */
    focusItem(item: number | TItem): any;
    /** @hidden */
    private _applyOrientation;
    static ɵfac: i0.ɵɵFactoryDeclaration<FocusKeyManagerListDirective<any>, [{ optional: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FocusKeyManagerListDirective<any>, "[fdkFocusKeyManagerList]", never, { "orientation": { "alias": "orientation"; "required": false; }; "skipPredicate": { "alias": "skipPredicate"; "required": false; }; }, {}, ["_items"], never, true, never>;
}
