import { DestroyRef, InjectionToken } from '@angular/core';
import { IndirectFocusableListDirective } from '../focusable-list/indirect-focusable-list.directive';
import { FocusableItem } from './focusable.item';
import * as i0 from "@angular/core";
export declare const FDK_INDIRECT_FOCUSABLE_ITEM_ORDER: InjectionToken<number | (() => number)>;
/**
 * Directive, to mark the focusable item in the focusable list, which
 * is not the direct child of the focusable list.
 *
 * Useful in cases, when you need to make the item focusable, and
 * you do not have the access to the focusable list.
 */
export declare class IndirectFocusableItemDirective {
    /** @hidden */
    protected _focusableItem: FocusableItem | null;
    /** @hidden */
    protected _indirectFocusableList: IndirectFocusableListDirective | null;
    /** @hidden */
    protected _order: number | (() => number) | null;
    /** @hidden */
    protected _destroyRef: DestroyRef;
    /** @hidden */
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<IndirectFocusableItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IndirectFocusableItemDirective, "[fdkIndirectFocusableItem]", never, {}, {}, never, never, true, never>;
}
