import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Directive will stop propagation and prevent default of click, if selected area is coming from
 * directive's host element. This gives ability to not cancel all clicks on element, just the ones
 * which include selection
 */
export declare class IgnoreClickOnSelectionDirective {
    private document;
    private _elementRef;
    /** @hidden */
    constructor(document: Document, _elementRef: ElementRef<HTMLElement>);
    /** Host click listener. Checks for selection existence and if finds one, checks anchor */
    clicked($event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgnoreClickOnSelectionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgnoreClickOnSelectionDirective, "[fdkIgnoreClickOnSelection]", never, {}, {}, never, never, true, never>;
}
