import { AfterViewInit, ElementRef, NgZone } from '@angular/core';
import { TabbableElementService } from '../../services/tabbable-element.service';
import * as i0 from "@angular/core";
export declare class InitialFocusDirective implements AfterViewInit {
    private _elmRef;
    private _ngZone;
    private readonly _tabbableService;
    /**
     * CSS selector of an element that should be focused.
     */
    fdkInitialFocus: string;
    /**
     * Whether initial focus enabled for a current element.
     */
    set enabled(value: boolean);
    get enabled(): boolean;
    /**
     * Whether to focus last element in a found array of elements.
     */
    focusLastElement: boolean;
    /** @hidden */
    private readonly _destroyRef;
    /** @hidden */
    private readonly _enabled$;
    /** @hidden */
    constructor(_elmRef: ElementRef<HTMLElement>, _ngZone: NgZone, _tabbableService: TabbableElementService);
    /** @hidden */
    ngAfterViewInit(): void;
    /**
     * @hidden
     * Executes a function when the zone is stable.
     */
    private _executeOnEmpty;
    /**
     * @hidden
     * Searches for an appropriate focusable element
     */
    private _getFocusableElement;
    /** @hidden */
    private _focus;
    static ɵfac: i0.ɵɵFactoryDeclaration<InitialFocusDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<InitialFocusDirective, "[fdkInitialFocus]", never, { "fdkInitialFocus": { "alias": "fdkInitialFocus"; "required": false; }; "enabled": { "alias": "enabled"; "required": false; }; "focusLastElement": { "alias": "focusLastElement"; "required": false; }; }, {}, never, never, true, never>;
}
