import { AfterViewInit, ElementRef, EventEmitter, OnChanges, Renderer2 } from '@angular/core';
import { Nullable } from '../../models/nullable';
import * as i0 from "@angular/core";
export declare class LineClampTargetDirective implements OnChanges, AfterViewInit {
    private readonly _elementRef;
    /**
     * Target text for clamping
     */
    fdLineClampTargetText: string;
    /**
     * Event with target instance for clamping
     */
    update: EventEmitter<LineClampTargetDirective>;
    /** @hidden */
    constructor(_elementRef: ElementRef);
    /**
     * Native element of clamping target
     */
    get targetElement(): HTMLElement;
    /** @hidden */
    ngOnChanges(): void;
    /** @hidden */
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LineClampTargetDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LineClampTargetDirective, "[fdkLineClampTarget], [fdLineClampTarget], [fd-lineclamp-target]", ["fdLineClampTarget"], { "fdLineClampTargetText": { "alias": "fdLineClampTargetText"; "required": false; }; }, { "update": "update"; }, never, never, true, never>;
}
export declare class LineClampDirective implements OnChanges, AfterViewInit {
    private readonly _elementRef;
    private readonly _renderer;
    /**
     * Count lines for clamping
     */
    set fdLineClampLines(value: Nullable<number>);
    /**
     * Clamping state
     */
    fdLineclampState: boolean;
    /**
     * Event return count of lines from the target
     */
    lineCountUpdate: EventEmitter<number>;
    /** @hidden */
    private _lineClampTarget;
    /** @hidden */
    private _originalText;
    /** @hidden */
    private _isNativeSupport;
    /** @hidden */
    private _lineCount;
    /** @hidden */
    private viewportSize$;
    /** @hidden */
    private _destroyRef;
    /** @hidden */
    /**
     * Root native element of clamping box
     */
    get rootElement(): HTMLElement;
    /** @hidden */
    constructor(_elementRef: ElementRef, _renderer: Renderer2);
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    ngOnChanges(): void;
    /** @hidden */
    reset(): void;
    /** @hidden */
    refreshTarget(event: LineClampTargetDirective): void;
    /** @hidden */
    refreshClamp(): void;
    /** @hidden
     * Truncate text in the target box, if browser not support lineclamp style
     */
    private _truncate;
    /** @hidden
     * Get lineheight for rootelement, if browser not support lineclamp style
     */
    private getLineHeight;
    /** @hidden
     * Setup native styles for lineclamp text
     */
    private native;
    /** @hidden
     * Reset native styles for lineclamp text
     */
    private _resetNative;
    /** @hidden */
    private _checkLineCount;
    static ɵfac: i0.ɵɵFactoryDeclaration<LineClampDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LineClampDirective, "[fdkLineClamp]", ["fdLineClamp"], { "fdLineClampLines": { "alias": "fdLineClampLines"; "required": false; }; "fdLineclampState": { "alias": "fdLineclampState"; "required": false; }; }, { "lineCountUpdate": "lineCountUpdate"; }, never, never, true, never>;
}
