import { AfterViewInit, ElementRef, EventEmitter, NgZone, QueryList } from '@angular/core';
import { OverflowListItemDirective } from './overflow-list-item.directive';
import * as i0 from "@angular/core";
export declare class OverflowListDirective implements AfterViewInit {
    private _el;
    private _ngZone;
    /**
     * @description Offset to calculate correct position
     */
    overflowOffset: number;
    /**
     * @description Flag representing rtl mode
     */
    isRtl: boolean;
    /**
     * @description value of display property of existed list items
     */
    itemCssBlockValue: string;
    /**
     * @description Emits when changed amount of extra items
     */
    overflowChanged: EventEmitter<number>;
    /**
     * @description References to QueryList of OverflowListItemDirective
     */
    overflowItems: QueryList<OverflowListItemDirective>;
    /** @hidden */
    private readonly _destroyRef;
    /** @hidden */
    private observer;
    /** @hidden */
    constructor(_el: ElementRef, _ngZone: NgZone);
    /** @hidden */
    ngAfterViewInit(): void;
    /**
     * @description Get amount of extra items in current list
     * */
    getAmountOfExtraItems(): number;
    /**
     * @description Ensuring that calculations run in the Angular zone
     */
    calculateOverflow(): void;
    private initResizeObserver;
    /** @hidden */
    private _calculateAmountOfOverflowedItems;
    /**
     * @hidden
     * @param arrItems
     * @param containerWidth
     * @param checkWithOffset
     * */
    private _checkWidthWithOffset;
    /**
     * @param arrItems
     * @hidden
     * */
    private _clearTempStyles;
    static ɵfac: i0.ɵɵFactoryDeclaration<OverflowListDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<OverflowListDirective, "[fdkOverflowList]", never, { "overflowOffset": { "alias": "overflowOffset"; "required": false; }; "isRtl": { "alias": "isRtl"; "required": false; }; "itemCssBlockValue": { "alias": "itemCssBlockValue"; "required": false; }; }, { "overflowChanged": "overflowChanged"; }, ["overflowItems"], never, true, never>;
}
