import { ElementRef, NgZone, OnDestroy } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { ReadonlyBehavior } from './readonly-behavior.interface';
import { ReadonlyViewModifier } from './readonly-view-modifier.interface';
import { ReadonlyObserver } from './readonly.observer';
import * as i0 from "@angular/core";
export declare class FdkReadonlyProvider extends ReplaySubject<boolean> implements ReadonlyBehavior, OnDestroy {
    private ngZone;
    private elementRef;
    private readonlyObserver;
    private selfReadonly$;
    private parentReadonly$;
    /** @Hidden */
    fdkReadonly: boolean;
    /** @hidden */
    private readonly _viewModifiers$;
    /** @hidden */
    private _readonlyChange$;
    /** @hidden */
    private readonly _destroyRef;
    /** @hidden */
    constructor(ngZone: NgZone, elementRef: ElementRef<Element>, readonlyObserver: ReadonlyObserver, selfReadonly$: ReadonlyBehavior, parentReadonly$: ReadonlyBehavior);
    /** @hidden */
    addViewModifier(modifier: ReadonlyViewModifier): void;
    /** @hidden */
    setReadonlyState(isReadonly: boolean): void;
    /** @hidden */
    ngOnDestroy(): void;
    /** @hidden */
    private _getReadonlyChange$;
    /** @hidden */
    private _getInitialViewModifiers;
    static ɵfac: i0.ɵɵFactoryDeclaration<FdkReadonlyProvider, [null, null, null, { optional: true; self: true; }, { optional: true; skipSelf: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FdkReadonlyProvider>;
}
