import { ElementRef } from '@angular/core';
import { Observable } from 'rxjs';
import { HasElementRef } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class ResizeObserverDirective implements HasElementRef {
    /**
     * When the element is resized, emits an array of ResizeObserverEntry objects.
     **/
    resized: Observable<ResizeObserverEntry[]>;
    /**
     * The reference to the Resize target element.
     **/
    elementRef: ElementRef<HTMLElement>;
    /** @hidden */
    private _resizeObserverService;
    /** @hidden */
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizeObserverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ResizeObserverDirective, "[fdkResizeObserver]", ["fdkResizeObserver"], {}, { "resized": "resized"; }, never, never, true, never>;
}
