import { BooleanInput } from '@angular/cdk/coercion';
import { ElementRef, EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { FdkClickedProvider } from '../clicked';
import { FdkDisabledProvider } from '../disabled';
import { FdkReadonlyProvider } from '../readonly';
import { SelectableItemToken } from './selectable-item.token';
import { SelectionService } from './selection.service';
import * as i0 from "@angular/core";
export declare class SelectableItemDirective<ElementType extends Element = HTMLElement, ValueType = any> implements SelectableItemToken<ElementType, ValueType> {
    private provider;
    private disabled$;
    private readonly$;
    private selectionService;
    readonly elementRef: ElementRef<ElementType>;
    /** @hidden */
    set value(val: ValueType);
    get value(): ValueType;
    /** @hidden */
    set fdkSelectableItem(value: BooleanInput);
    get fdkSelectableItem(): boolean;
    /** @hidden */
    clicked: Observable<MouseEvent | KeyboardEvent>;
    /** Event emitted when selection state being changed for selectable item. */
    selected: EventEmitter<boolean>;
    /** @hidden */
    private _value;
    /** @hidden */
    private _selected;
    /** @hidden */
    private _selectable;
    /** @hidden */
    constructor(provider: Partial<SelectableItemToken<ElementType, ValueType>>, disabled$: FdkDisabledProvider, readonly$: FdkReadonlyProvider, selectionService: SelectionService<ElementType, ValueType>, elementRef: ElementRef<ElementType>, _clicked: FdkClickedProvider);
    /** @hidden */
    getSelected(): boolean;
    /** @hidden */
    setSelected(isSelected: boolean): void;
    /** @hidden */
    private _listenToDisablingEvents;
    /** @hidden */
    private _updateSelectionAndSelectableWatcher;
    /** @hidden */
    private _updateSelectableWatcher;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectableItemDirective<any, any>, [{ optional: true; }, null, null, null, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SelectableItemDirective<any, any>, "[fdkSelectableItem]", ["fdkSelectableItem"], { "value": { "alias": "value"; "required": false; }; "fdkSelectableItem": { "alias": "fdkSelectableItem"; "required": false; }; }, { "clicked": "clicked"; "selected": "selected"; }, never, never, true, never>;
}
