import { AfterViewInit, EventEmitter, QueryList } from '@angular/core';
import { SelectComponentRootToken, SelectableListValueType } from './select-component-root.token';
import { SelectableItemToken } from './selectable-item.token';
import { SelectionService } from './selection.service';
import * as i0 from "@angular/core";
export declare class SelectableListDirective<T extends Element = HTMLElement, V = any> implements SelectComponentRootToken<T>, AfterViewInit {
    private _selectionService;
    /** @hidden */
    selectedChange: EventEmitter<SelectableListValueType<T>>;
    /** @hidden */
    toggle: boolean;
    /** @hidden */
    multiple: boolean;
    /** @hidden */
    set selected(value: SelectableListValueType<T>);
    /** @hidden */
    selectableItems: QueryList<SelectableItemToken<T, V>>;
    /** @hidden */
    constructor(_selectionService: SelectionService<T, V>);
    /** @hidden */
    select(item: SelectableItemToken<T, V>): void;
    /** @hidden */
    deselect(item: SelectableItemToken<T, V>): void;
    /** @hidden */
    toggleSelect(item: SelectableItemToken<T, V>): void;
    /** @hidden */
    onChange(value: SelectableListValueType<T>): void;
    /** @hidden */
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectableListDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SelectableListDirective<any, any>, "[fdkSelectableList]", ["fdkSelectableList"], { "toggle": { "alias": "toggle"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; }, { "selectedChange": "selectedChange"; }, ["selectableItems"], never, true, never>;
    static ngAcceptInputType_toggle: unknown;
    static ngAcceptInputType_multiple: unknown;
}
