import { ChangeDetectorRef, QueryList } from '@angular/core';
import { Observable } from 'rxjs';
import { SelectComponentRootToken, SelectableListValueType } from './select-component-root.token';
import { SelectableItemToken } from './selectable-item.token';
import * as i0 from "@angular/core";
export type SelectionItemsList<ElementType extends Element, ValueType = ElementType> = QueryList<SelectableItemToken<ElementType, ValueType>> | Observable<SelectableItemToken<ElementType, ValueType>[]> | SelectableItemToken<ElementType, ValueType>[];
export declare class SelectionService<ElementType extends Element, ValueType = ElementType> {
    private _cd;
    /** @hidden */
    value$: Observable<SelectableListValueType<ValueType>>;
    /** @hidden */
    private _items$;
    /** @hidden */
    private _value$;
    /** @hidden */
    private _normalizedValue$;
    /** @hidden */
    private _rootComponent;
    /** @hidden */
    private _destroyRef;
    /** @hidden */
    private _clear$;
    /** @hidden */
    private _value;
    /** @hidden */
    constructor(_cd: ChangeDetectorRef);
    /**
     * Register main select component, which holds config
     * */
    registerRootComponent(rootComponent: SelectComponentRootToken<ElementType>): void;
    /**
     * Clear listeners
     */
    clear(): void;
    /**
     * Initialize watcher for selection changes and user interactions
     * */
    initialize(list: SelectionItemsList<ElementType, ValueType>): void;
    /**
     * Sets Value, on which service looks at and updates UI accordingly
     * */
    setValue(v: SelectableListValueType<ElementType>): void;
    /** @hidden */
    getValue(): SelectableListValueType<ElementType>;
    /**
     * Start listening for item interactions. Will destroy() first.
     * Will silently continue if service was not initialized first.
     * */
    listenToItemInteractions(): void;
    /** @hidden */
    selectItem(item: SelectableItemToken<ElementType, ValueType>): void;
    /** @hidden */
    deselectItem(item: SelectableItemToken<ElementType, ValueType>): void;
    /** @hidden */
    private get _isMultipleMode();
    /** @hidden */
    private _itemClicked;
    /** @hidden */
    private _getSelectedValues;
    /** @hidden */
    private _getProperValues;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectionService<any, any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SelectionService<any, any>>;
}
