import { AfterContentChecked, AfterViewInit, ElementRef, OnChanges } from '@angular/core';
import { Nullable } from '../../models/nullable';
import * as i0 from "@angular/core";
export declare class TruncateDirective implements OnChanges, AfterViewInit {
    private readonly _elementRef;
    /**
     * Width in pixel for truncation of an element , by default
     */
    set fdkTruncateWidth(value: Nullable<number>);
    /**
     * Truncating state
     */
    fdkTruncateState: boolean;
    /** @hidden */
    private _customWidthCount;
    /** @hidden */
    private _truncateTarget;
    /** @hidden
     * saves default style of element before truncating
     */
    private _defaultStyle;
    /** @hidden */
    private takeDefaultStyleOnce;
    /** @hidden
     * truncation style for truncating element
     */
    private _truncationStyle;
    /** @hidden */
    constructor(_elementRef: ElementRef);
    /**
     * Root native element
     */
    get rootElement(): HTMLElement;
    /**
     * Method saves default style of target element before first truncate.
     */
    setDefaultStyle(): void;
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    ngOnChanges(): void;
    /** @hidden */
    private _truncate;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruncateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TruncateDirective, "[fdkTruncate]", never, { "fdkTruncateWidth": { "alias": "fdkTruncateWidth"; "required": false; }; "fdkTruncateState": { "alias": "fdkTruncateState"; "required": false; }; }, {}, never, never, true, never>;
}
export declare class TruncatedTitleDirective implements AfterContentChecked {
    private _elRef;
    /** @hidden */
    constructor(_elRef: ElementRef);
    /** @hidden */
    ngAfterContentChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruncatedTitleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TruncatedTitleDirective, "[fdkTruncatedTitle], [fdTruncatedTitle], [fd-truncate-title]", never, {}, {}, never, never, true, never>;
}
