import { ChangeDetectorRef } from '@angular/core';
import { Subject } from 'rxjs';
import { RtlService } from '../../services/rtl.service';
import * as i0 from "@angular/core";
/**
 * This directive is used to provide drag & drop with keyboard support.
 * It should be used together with directive fdDndKeyboardItem.
 */
export declare class DndKeyboardGroupDirective {
    private readonly _cdr;
    private readonly _rtlService;
    /** Group of items */
    groups: any[][];
    /** Whether to disable drag & drop */
    disableKeyboardDragDrop: boolean;
    /** Used to apply indexes when moving between groups */
    orientation: 'horizontal' | 'vertical';
    /** @hidden */
    _onDndItemFocus$: Subject<[number, number]>;
    /** @hidden */
    constructor(_cdr: ChangeDetectorRef, _rtlService: RtlService);
    /** Custom function to call when moving item inside the group */
    customMoveFn: (group: any[], fromIndex: number, toIndex: number) => void;
    /** Custom function to call when moving item between groups */
    customTransferFn: (group: any[], nextGroup: any[], fromIndex: number, toIndex: number) => void;
    /** Process drag & drop */
    processDragDrop(event: KeyboardEvent, itemIndex: number, groupIndex: number): void;
    /** @hidden Focus after moving elements with keyboard */
    private _focusDndItem;
    static ɵfac: i0.ɵɵFactoryDeclaration<DndKeyboardGroupDirective, [null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DndKeyboardGroupDirective, "[fdkDndKeyboardGroup], [fdDndKeyboardGroup]", never, { "groups": { "alias": "groups"; "required": false; }; "disableKeyboardDragDrop": { "alias": "disableKeyboardDragDrop"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; "customMoveFn": { "alias": "customMoveFn"; "required": false; }; "customTransferFn": { "alias": "customTransferFn"; "required": false; }; }, {}, never, never, true, never>;
}
