import { CdkPortalOutlet } from '@angular/cdk/portal';
import { ComponentRef, ElementRef, EmbeddedViewRef, Injector, TemplateRef, Type } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { Nullable } from '../models/nullable';
export declare abstract class DynamicComponentContainer<T = TemplateRef<any> | Type<any>> {
    elementRef: ElementRef;
    protected _injector: Injector;
    /** @hidden */
    abstract portalOutlet: CdkPortalOutlet;
    /** @hidden Load received content */
    protected abstract _loadContent(): void;
    /** @hidden */
    childContent: Nullable<T>;
    /** @hidden */
    protected _componentRef: ComponentRef<any> | EmbeddedViewRef<any>;
    /** @hidden */
    protected _contentLoaded$: BehaviorSubject<boolean>;
    /** @hidden */
    protected constructor(elementRef: ElementRef, _injector: Injector);
    /** @hidden Load received content as component */
    protected _createFromComponent(content: Type<any>): void;
    /** @hidden Load received content as embedded view */
    protected _createFromTemplate(content: TemplateRef<any>, context: any): void;
}
