import { ChangeDetectorRef, OnDestroy, PipeTransform } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export type FdkAsyncProperty<T> = T | Observable<T> | Promise<T>;
export declare class AsyncOrSyncPipe implements OnDestroy, PipeTransform {
    /** @hidden */
    private _cdr;
    /** @hidden */
    private _asyncPipe;
    /** @hidden */
    constructor(ref: ChangeDetectorRef);
    /**
     * Transforms raw async-like value into static one.
     * @param value raw value. Can be either a static value, or Promise-like, or Observable-like.
     */
    transform<T>(value: FdkAsyncProperty<T>): T | null;
    /** @Hidden */
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AsyncOrSyncPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AsyncOrSyncPipe, "fdkAsyncOrSync", true>;
}
