import { FocusKeyManager } from '@angular/cdk/a11y';
import { OnDestroy, QueryList } from '@angular/core';
import { Subject } from 'rxjs';
import { KeyboardSupportItemInterface } from '../../interfaces/keyboard-support-item.interface';
import * as i0 from "@angular/core";
export type FocusEscapeDirection = 'up' | 'down';
export declare class KeyboardSupportService<T> implements OnDestroy {
    /** Subject that is thrown, when focus escapes the list */
    focusEscapeList: Subject<FocusEscapeDirection>;
    /** @hidden  */
    private readonly _destroyRef;
    /** An RxJS Subject that will kill the data stream upon queryList changes (for unsubscribing)  */
    private readonly _onRefresh$;
    /** @hidden */
    private _keyManager;
    /** @hidden */
    get keyManager(): FocusKeyManager<T>;
    /** @hidden
     * allow tab key navigation. default is true.
     */
    private _tabKeyNavigation;
    /** @hidden */
    setKeyboardService(queryList: QueryList<KeyboardSupportItemInterface & T>, wrap?: boolean, tabKeyNavigation?: boolean): void;
    /** @hidden */
    onKeyDown(event: KeyboardEvent): void;
    /** Destroys KeyboardSupportService dependencies */
    ngOnDestroy(): void;
    /** @hidden */
    private _refreshEscapeLogic;
    static ɵfac: i0.ɵɵFactoryDeclaration<KeyboardSupportService<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<KeyboardSupportService<any>>;
}
