import { ElementRef, OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ResizeObserverFactory {
    /** Factory to create ResizeObserver if it's present in browser.  */
    create(callback: ResizeObserverCallback): ResizeObserver | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizeObserverFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ResizeObserverFactory>;
}
export declare class ResizeObserverService implements OnDestroy {
    private _resizeObserverFactory;
    /** @hidden */
    private _observedElements;
    /** @hidden */
    constructor(_resizeObserverFactory: ResizeObserverFactory);
    /** @hidden */
    ngOnDestroy(): void;
    /** Observe the given element and emit whenever its size changes. */
    observe(elementOrRef: Element | ElementRef<Element>): Observable<ResizeObserverEntry[]>;
    /**
     * Observes the given element by using the existing MutationObserver if available, or creating a
     * new one if not.
     */
    private _observeElement;
    /**
     * Un-observes the given element and cleans up the underlying MutationObserver if nobody else is
     * observing this element.
     */
    private _unobserveElement;
    /** Clean up the underlying MutationObserver for the specified element. */
    private _cleanupObserver;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizeObserverService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ResizeObserverService>;
}
