import { OverlayRef } from '@angular/cdk/overlay';
import { Observable, Subject } from 'rxjs';
import { BaseToastPosition } from '../../base-toast-positions';
import { BaseToastConfig } from '../base-toast-config';
import { BaseToastDurationDismissibleContainerComponent } from '../duration-dismissible/base-toast-duration-dismissible-container.component';
import { BaseToastDurationDismissibleRef } from '../duration-dismissible/base-toast-duration-dismissible-ref';
export declare abstract class BaseToastActionDismissibleRef<T = any, P extends BaseToastConfig<T> = any> extends BaseToastDurationDismissibleRef<T, P> {
    /** Subject for notifying the user that the Toast action-dismissible was called. */
    protected readonly onAction$: Subject<string | null>;
    /** Whether the Toast was dismissed using the action-dismissible button. */
    protected dismissedByAction: boolean;
    /** @hidden */
    protected constructor(containerInstance: BaseToastDurationDismissibleContainerComponent<P>, overlayRef: OverlayRef, positionStrategy: BaseToastPosition);
    /** Marks the Toast action-dismissible clicked. */
    dismissWithAction(reason?: string | null): void;
    /** Gets an observable that is notified when the Toast action-dismissible is called. */
    onAction(): Observable<string | null>;
    /**
     * @hidden
     * Cleans up the DOM after closing.
     */
    protected _finishDismiss(): void;
}
