import { NgZone, OnDestroy } from '@angular/core';
import { BaseAnimatedToastConfig } from './base-toast-config';
import { BaseToastContainerComponent } from './base-toast-container.component';
import * as i0 from "@angular/core";
export declare abstract class BaseToastAnimatedContainerComponent<P extends BaseAnimatedToastConfig> extends BaseToastContainerComponent<P> implements OnDestroy {
    /**
     * @hidden
     * The state of the Message Toast animations.
     */
    private get _animationState();
    /**
     * @hidden
     * Whether the animations should be disabled.
     */
    private _animationsDisabled;
    /** @hidden */
    protected _ngZone: NgZone;
    /** @hidden */
    private _animationStateSignal;
    /** @hidden */
    constructor(config: P);
    /**
     * @hidden
     * Handle end of animations, updating the state of the Message Toast.
     */
    private _onAnimationEnd;
    /** Begin animation of Message Toast entrance into view. */
    enter(): void;
    /** Begin animation of Message Toast removal. */
    exit(): void;
    /** @hidden */
    ngOnDestroy(): void;
    /**
     * @hidden
     * Waits for the zone to settle before removing the element. Helps prevent
     * errors where we end up removing an element which is in the middle of an animation.
     */
    private _completeExit;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseToastAnimatedContainerComponent<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaseToastAnimatedContainerComponent<any>, never, never, {}, {}, never, never, true, never>;
}
