import { OverlayRef } from '@angular/cdk/overlay';
import { BaseToastPosition } from '../../base-toast-positions';
import { BaseToastConfig } from '../base-toast-config';
import { BaseToastRef } from '../base-toast-ref';
import { BaseToastDurationDismissibleContainerComponent } from './base-toast-duration-dismissible-container.component';
export declare abstract class BaseToastDurationDismissibleRef<T = any, P extends BaseToastConfig<T> = any, C extends BaseToastDurationDismissibleContainerComponent<P> = BaseToastDurationDismissibleContainerComponent<P>> extends BaseToastRef<T, P, C> {
    /**
     * Timeout ID for the duration setTimeout call. Used to clear the timeout if the toast is
     * dismissed before the duration passes.
     */
    protected durationTimeoutId: ReturnType<typeof setTimeout>;
    /** @hidden */
    protected constructor(containerInstance: C, overlayRef: OverlayRef, positionStrategy: BaseToastPosition);
    /** Dismisses the toast and clears the timeout. */
    dismiss(): void;
    /** Dismisses the Toast component after some duration */
    dismissAfter(duration: number): void;
    /** Cancels current dismiss timeout */
    cancelDismiss(): void;
}
