import { Observable } from 'rxjs';
/**
 * Helper function check whether passed data is a JS object (including function).
 */
export declare function isJsObject(obj: any): obj is object | Function;
/**
 * Helper function checks whether passed value is not empty.
 */
export declare function isPresent(obj: any): boolean;
/**
 * Helper function check whether passed value is empty.
 */
export declare function isBlank(obj: any): obj is undefined | null;
/**
 * Helper function checks whether passed value is a boolean.
 */
export declare function isBoolean(obj: any): obj is boolean;
/**
 * Helper function checks whether passed value is a valid number.
 */
export declare function isNumber(obj: any): obj is number;
/**
 * Helper function checks whether passed value is a string.
 */
export declare function isString(obj: any): obj is string;
/**
 * Helper function checks whether passed value is a function
 */
export declare function isFunction(obj: any): boolean;
/** @hidden */
export declare function isType(obj: any): obj is Function;
/**
 * Helper function checks whether passed value is a record of `T` values.
 */
export declare function isStringMap<T = any>(obj: any): obj is Record<string, T>;
/**
 * Helper function checks whether passed value is an `object`.
 */
export declare function isObject<T>(item: T): boolean;
/**
 * Helper function checks whether passed value is a promise.
 */
export declare function isPromise<T = any>(obj: any): obj is Promise<T>;
/**
 * Helper function checks whether passed value is an Observable/Subscribable.
 */
export declare function isSubscribable<T = any>(obj: any | Observable<T>): obj is Observable<T>;
